SimpleFSDirectory.SimpleFSIndexInput.Descriptor (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput.Descriptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class SimpleFSDirectory.SimpleFSIndexInput.Descriptor

    java.lang.Object
      java.io.RandomAccessFile
          org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput.Descriptor

All Implemented Interfaces:
  Closeable, DataInput, DataOutput

Enclosing class:
  SimpleFSDirectory.SimpleFSIndexInput

    protected static class SimpleFSDirectory.SimpleFSIndexInput.Descriptor

extends RandomAccessFile

Field Summary
`protected boolean` | `isOpen`

Constructor Summary
`SimpleFSDirectory.SimpleFSIndexInput.Descriptor(File file, String mode)`

Method Summary
`void` | `close()`

Methods inherited from class java.io.RandomAccessFile
`getChannel, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isOpen

    protected volatile boolean isOpen

Constructor Detail

### SimpleFSDirectory.SimpleFSIndexInput.Descriptor

    public SimpleFSDirectory.SimpleFSIndexInput.Descriptor(File file,
                                                           String mode)
                                                    throws IOException

Throws:
  `IOException`

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `RandomAccessFile`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD